Bug 1452932 - Downgrading LVM2 from Rawhide to F26 causes "Invalid units specification" [NEEDINFO]
Summary: Downgrading LVM2 from Rawhide to F26 causes "Invalid units specification"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs 1475018
TreeView+ depends on / blocked
 
Reported: 2017-05-20 16:21 UTC by Richard W.M. Jones
Modified: 2018-11-30 23:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1475018 (view as bug list)
Environment:
Last Closed: 2018-11-30 23:20:05 UTC
Type: Bug
mcsontos: needinfo? (agk)


Attachments (Terms of Use)

Description Richard W.M. Jones 2017-05-20 16:21:10 UTC
Description of problem:

I built libguestfs against LVM2 from Rawhide, but installed it
using LVM2 from F26.  Libguestfs takes a private copy of the build-time
lvm.conf file.

However in /etc/lvm/lvm.conf in Rawhide:

	# Default value for --units argument.
	units = "r"

The problem is that the very slightly older version of LVM2 in
Fedora 26 doesn't understand this, and worse than that, every
command -- even ones that don't care about units, such as lvs --help --
fails with the mysterious error message:

  Invalid units specification

Can we make this a bit more robust?  Or backport Rawhide's LVM2
to Fedora 26?

Version-Release number of selected component (if applicable):

Build version:   lvm2-2.02.171-2.fc27.x8_64
Runtime version: lvm2-2.02.168-5.fc26.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Install libguestfs from Rawhide on F26.
 -- OR --
1. Install LVM2 from Rawhide then downgrade to F26.

Comment 1 Marian Csontos 2017-05-22 08:56:08 UTC
(In reply to Richard W.M. Jones from comment #0)
> I built libguestfs against LVM2 from Rawhide, but installed it
> using LVM2 from F26.

To start with, is not that a bad idea?

Also after upgrade/downgrade, one should carefully check rpmsave/rpmnew files, before using them.

But we can do better. Agk, is there a reason for inconsistency in lvm.conf where some defaults are commented out, and some are not?

Comment 2 Jan Kurik 2017-08-15 07:00:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Ben Cotton 2018-11-27 13:54:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 23:20:05 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.